> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Client Presentations



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations:
    get:
      tags:
        - Client Presentations
      summary: List Client Presentations
      operationId: ClientPresentationsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 100
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: archived
          required: false
          in: query
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
        - name: status
          required: false
          in: query
          schema:
            type: string
            enum:
              - draft
              - shared
              - revoked
              - expired
        - name: outcome
          required: false
          in: query
          schema:
            type: string
            enum:
              - awaiting
              - approved
              - mixed_response
              - respec
        - name: responses
          required: false
          in: query
          schema:
            type: string
            enum:
              - has_accepted
              - has_refused
              - has_alternative
              - awaiting
              - no_items
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationPageDto'
components:
  schemas:
    PresentationPageDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PresentationSummaryDto'
        nextCursor:
          type:
            - string
            - 'null'
      required:
        - items
        - nextCursor
    PresentationSummaryDto:
      type: object
      properties:
        fiType:
          enum:
            - OFCI
            - OFOI
            - CFCI
            - CFOI
            - null
          type:
            - string
            - 'null'
        depositPct:
          type:
            - number
            - 'null'
        outcome:
          enum:
            - awaiting
            - approved
            - mixed_response
            - respec
            - null
          type:
            - string
            - 'null'
        archivedAt:
          type:
            - string
            - 'null'
        source:
          type:
            - object
            - 'null'
        followUps:
          type: array
          items:
            type: object
            properties:
              presentationId:
                type: string
              versionN:
                type: number
            required:
              - presentationId
              - versionN
        reworkCount:
          type: number
        revision:
          type: number
        signing:
          $ref: '#/components/schemas/PresentationSigningDto'
        id:
          type: string
        collaborationId:
          type: string
        projectId:
          type: string
        project:
          $ref: '#/components/schemas/PresentationProjectRefDto'
        name:
          type: string
        status:
          enum:
            - draft
            - revoked
            - shared
          type: string
        expired:
          type: boolean
        template:
          anyOf:
            - $ref: '#/components/schemas/PresentationTemplateRefDto'
            - type: 'null'
        reviewTemplate:
          anyOf:
            - $ref: '#/components/schemas/PresentationTemplateRefDto'
            - type: 'null'
        signerBindings:
          type: array
          items:
            type: object
        presentation:
          anyOf:
            - $ref: '#/components/schemas/PresentationSlidesRefDto'
            - type: 'null'
        currentVersion:
          anyOf:
            - $ref: '#/components/schemas/PresentationCurrentVersionDto'
            - type: 'null'
        versionCount:
          type: number
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/PresentationRecipientDto'
        outcomes:
          $ref: '#/components/schemas/PresentationOutcomesDto'
        commentCount:
          type: number
        lastActivity:
          anyOf:
            - $ref: '#/components/schemas/PresentationLastActivityDto'
            - type: 'null'
        lastActivityAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/PersonRefDto'
        createdAt:
          type: string
      required:
        - fiType
        - depositPct
        - outcome
        - archivedAt
        - source
        - followUps
        - reworkCount
        - id
        - collaborationId
        - projectId
        - project
        - name
        - status
        - expired
        - template
        - presentation
        - currentVersion
        - versionCount
        - recipients
        - outcomes
        - commentCount
        - lastActivity
        - lastActivityAt
        - createdBy
        - createdAt
    PresentationSigningDto:
      type: object
      properties:
        status:
          type: string
        required:
          type: array
          items:
            $ref: '#/components/schemas/PresentationRequiredSignerDto'
        countersignature:
          type: boolean
        countersigned:
          type: boolean
      required:
        - status
        - required
        - countersignature
        - countersigned
    PresentationProjectRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    PresentationTemplateRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    PresentationSlidesRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slideCount:
          type: number
        archived:
          type: boolean
      required:
        - id
        - name
        - slideCount
        - archived
    PresentationCurrentVersionDto:
      type: object
      properties:
        'n':
          type: number
        sharedAt:
          type: string
        sharedBy:
          $ref: '#/components/schemas/PersonRefDto'
      required:
        - 'n'
        - sharedAt
        - sharedBy
    PresentationRecipientDto:
      type: object
      properties:
        accessRevoked:
          type: boolean
        userId:
          type: string
        email:
          type: string
        name:
          type:
            - string
            - 'null'
        reviewStatus:
          type: string
          enum:
            - in_progress
            - submitted
            - not_viewed
            - viewed
        lastViewedAt:
          type:
            - string
            - 'null'
        submittedAt:
          type:
            - string
            - 'null'
      required:
        - userId
        - email
        - name
        - reviewStatus
        - lastViewedAt
        - submittedAt
    PresentationOutcomesDto:
      type: object
      properties:
        accepted:
          type: number
        refused:
          type: number
        alternative:
          type: number
        pending:
          type: number
        total:
          type: number
      required:
        - accepted
        - refused
        - alternative
        - pending
        - total
    PresentationLastActivityDto:
      type: object
      properties:
        type:
          enum:
            - created
            - archived
            - restored
            - follow_up_created
            - rework_requested
            - alternative_resolved
            - offline_recorded
            - signed
            - shared
            - viewed
            - submitted
            - revoked
            - recipient_added
            - recipient_removed
          type: string
        actorName:
          type:
            - string
            - 'null'
        at:
          type: string
      required:
        - type
        - actorName
        - at
    PersonRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
      required:
        - id
        - name
        - email
    PresentationRequiredSignerDto:
      type: object
      properties:
        role:
          type: string
        userId:
          type: string
        signed:
          type: boolean
      required:
        - role
        - userId
        - signed

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.